package com.bonus.core.pay.common.po;

import com.bonus.core.pay.api.dto.UnifyPaySelectDTO;

import java.time.LocalDateTime;

public class PayResultQueryPO {
   private Long tradeId;
   private Long tenantId;
   private String traceId;
   private UnifyPaySelectDTO paySelectDTO;
   private Boolean ifAutoDelay = false;
   private Boolean endWithCancel = false;
   private LocalDateTime startTime;

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public String getTraceId() {
      return this.traceId;
   }

   public UnifyPaySelectDTO getPaySelectDTO() {
      return this.paySelectDTO;
   }

   public Boolean getIfAutoDelay() {
      return this.ifAutoDelay;
   }

   public Boolean getEndWithCancel() {
      return this.endWithCancel;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public void setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setTraceId(final String traceId) {
      this.traceId = traceId;
   }

   public void setPaySelectDTO(final UnifyPaySelectDTO paySelectDTO) {
      this.paySelectDTO = paySelectDTO;
   }

   public void setIfAutoDelay(final Boolean ifAutoDelay) {
      this.ifAutoDelay = ifAutoDelay;
   }

   public void setEndWithCancel(final Boolean endWithCancel) {
      this.endWithCancel = endWithCancel;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

}
